libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::Renderer Class Reference
[Miscellaneous]

Base class to get representations of objects as SQL statements, XML nodes or human readable text. More...

Inheritance diagram for Gnome::Gda::Renderer:

[legend]
List of all members.

## Public Member Functions

const GdaRenderer* | gobj () const
| Provides access to the underlying C GObject.
GdaRenderer* | gobj ()
| Provides access to the underlying C GObject.
bool | is_valid (const Glib::RefPtr<ParameterList>& context) const
| Tells if iface has all the necessary information in context to be rendered into a valid statement (which can be executed).
Glib::ustring | render_as_str (const Glib::RefPtr<ParameterList>& context) const
| Build a human readable string representing the object, in the specified context.
virtual | ~Renderer ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::Renderer> | wrap (GdaRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Base class to get representations of objects as SQL statements, XML nodes or human readable text.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Renderer::~Renderer | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gnome::Gda::Renderer::add_interface | ( | GType | gtype_implementer | ) | `[static]`

const GdaRenderer* Gnome::Gda::Renderer::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, and Gnome::Gda::QueryTarget.

GdaRenderer* Gnome::Gda::Renderer::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, and Gnome::Gda::QueryTarget.

bool Gnome::Gda::Renderer::is_valid | ( | const Glib::RefPtr<ParameterList>& | context | ) | const

Tells if iface has all the necessary information in context to be rendered into a valid statement (which can be executed).

Parameters:

  | context | Rendering context.

Returns:
  `true` if iface can be rendered with context.

Glib::ustring Gnome::Gda::Renderer::render_as_str | ( | const Glib::RefPtr<ParameterList>& | context | ) | const

Build a human readable string representing the object, in the specified context.

Parameters:

  | context | Rendering context.

Returns:
  The new string.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::Renderer> wrap | ( | GdaRenderer * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- renderer.h